using System.Threading.Tasks;
using System.Collections.Generic;
using ZhonTai.Admin.Core.Dto;
using NPP.SmartSchedue.Api.Contracts.Services.Time.Input;
using NPP.SmartSchedue.Api.Contracts.Services.Time.Output;

namespace NPP.SmartSchedue.Api.Contracts.Services.Time;

/// <summary>
/// 基础日历服务接口
/// </summary>
public interface ICalendarService
{
    Task<CalendarGetOutput> GetAsync(long id);

    Task<PageOutput<CalendarGetPageOutput>> GetPageAsync(PageInput<CalendarGetPageInput> input);

    Task<long> AddAsync(CalendarAddInput input);

    Task UpdateAsync(CalendarUpdateInput input);

    Task DeleteAsync(long id);

    Task SoftDeleteAsync(long id);

    Task BatchSoftDeleteAsync(long[] ids);
} 